cURL
curl --request PUT \ --url https://api.notifique.dev/v1/push/apps/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "vapidPublicKey": "<string>", "vapidPrivateKey": "<string>", "allowedOrigins": [ "<string>" ], "promptConfig": {}, "fcmProjectId": "<string>", "fcmServiceAccountJson": "<string>", "apnsKeyId": "<string>", "apnsTeamId": "<string>", "apnsBundleId": "<string>", "apnsKeyP8": "<string>" } '
{ "success": true, "data": { "id": "<string>", "name": "<string>", "workspaceId": "<string>", "vapidPublicKey": "<string>", "hasVapidPrivate": true, "hasFcm": true, "hasApns": true, "allowedOrigins": [ "<string>" ], "promptConfig": {}, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Atualiza nome e/ou credenciais (vapid_public_key, vapid_private_key, allowed_origins, prompt_config, fcm_, apns_). Escopo: push:apps:manage.
Authorization: Bearer sk_live_xxxxx
1024
Push app atualizado.
true
Show child attributes
Was this page helpful?